Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(229)

Unified Diff: platform_tools/android/bin/android_setup.sh

Issue 15951008: Remove dependency of gsutil to download ndk (Closed) Base URL: https://skia.googlecode.com/svn/trunk
Patch Set: Created 7 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | platform_tools/android/bin/download_toolchains.py » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/android_setup.sh
diff --git a/platform_tools/android/bin/android_setup.sh b/platform_tools/android/bin/android_setup.sh
index d71c2e630ecd9f58b6244d38c8588031c583d8d4..b955bea1cdad6157b82d98012387a57d529aee2c 100755
--- a/platform_tools/android/bin/android_setup.sh
+++ b/platform_tools/android/bin/android_setup.sh
@@ -65,12 +65,6 @@ exportVar ANDROID_TOOLCHAIN ${TOOLCHAIN_DIR}/${TOOLCHAIN_TYPE}/bin
# if the toolchain doesn't exist on your machine then we need to fetch it
if [ ! -d "$ANDROID_TOOLCHAIN" ]; then
- # gsutil must be installed on your system and in your PATH
- gsutil version &> /dev/null
- if [[ "$?" != "0" ]]; then
- echo "ERROR: Unable to find gsutil. Please install it before proceeding."
- exit 1
- fi
# create the toolchain directory if needed
if [ ! -d "$TOOLCHAIN_DIR" ]; then
mkdir $TOOLCHAIN_DIR
@@ -78,7 +72,14 @@ if [ ! -d "$ANDROID_TOOLCHAIN" ]; then
# enter the toolchain directory then download, unpack, and remove the tarball
pushd $TOOLCHAIN_DIR
TARBALL=ndk-r$NDK_REV-v$API_LEVEL.tgz
- gsutil cp gs://chromium-skia-gm/android-toolchains/$TARBALL $TARBALL
+
+ echo "Downloading $TARBALL ..."
+ ${SCRIPT_DIR}/download_toolchains.py http://chromium-skia-gm.commondatastorage.googleapis.com/android-toolchains/$TARBALL $TOOLCHAIN_DIR/$TARBALL
+ if [[ "$?" != "0" ]]; then
+ echo "ERROR: Unable to download toolchain $TARBALL."
+ exit 1
+ fi
+
echo "Untarring $TOOLCHAIN_TYPE from $TARBALL."
tar -xzf $TARBALL $TOOLCHAIN_TYPE
echo "Removing $TARBALL"
« no previous file with comments | « no previous file | platform_tools/android/bin/download_toolchains.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698